Skip to main content
GET
/
2
/
insights
/
historical
過去分のポストインサイトを取得する
curl --request GET \
  --url https://api.x.com/2/insights/historical \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "errors": [
        {
          "error": "<string>",
          "tweets": [
            "<string>"
          ]
        }
      ],
      "measurement": {
        "metrics_time_series": [
          {
            "tweet_id": "1346889436626259968",
            "value": {
              "metric_values": [
                {
                  "metric_type": "<string>",
                  "metric_value": 123
                }
              ],
              "timestamp": {
                "iso8601_time": "<string>"
              }
            }
          }
        ],
        "metrics_total": [
          {
            "tweet_id": "1346889436626259968",
            "value": [
              {
                "metric_type": "<string>",
                "metric_value": 123
              }
            ]
          }
        ]
      }
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

tweet_ids
string[]
required

履歴メトリクスを取得する対象の PostIds のリスト。

Required array length: 1 - 25 elements

このツイートの一意の識別子。大きな整数を扱えない言語やツールでの問題を避けるため、文字列として返されます。

Pattern: ^[0-9]{1,19}$
Example:
["20"]
end_time
string<date-time>
required

YYYY-MM-DDTHH:mm:ssZ。時間範囲の終了時刻を表す UTC のタイムスタンプ。

start_time
string<date-time>
required

YYYY-MM-DDTHH:mm:ssZ。時間範囲の開始時刻を表す UTC のタイムスタンプ。

granularity
enum<string>
required

メトリクスレスポンスの集計粒度。

Available options:
Daily,
Hourly,
Weekly,
Total
Example:

"Total"

requested_metrics
enum<string>[]
required

履歴メトリクスをリクエストします。

Minimum array length: 1
Available options:
AppInstallAttempts,
AppOpens,
DetailExpands,
EmailTweet,
Engagements,
Follows,
HashtagClicks,
Impressions,
Likes,
LinkClicks,
MediaEngagements,
MediaViews,
PermalinkClicks,
ProfileVisits,
QuoteTweets,
Replies,
Retweets,
UniqueVideoViews,
UrlClicks,
UserProfileClicks,
VideoCompletions,
VideoPlayed25Percent,
VideoPlayed50Percent,
VideoPlayed75Percent,
VideoStarts,
VideoViews
engagement.fields
enum<string>[]

レスポンスに含める Engagement のフィールドを、カンマ区切りのリストで指定します。 Engagement オブジェクトで利用可能なフィールドです。

Minimum array length: 1
Available options:
errors,
measurement
Example:
["errors", "measurement"]

Response

リクエストは成功しました。

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。